$!---------------------------------------------------------------------
$!
$! SETUP.COM -- Setup for running SAOimage on VMS  [user/site-specific]
$!
$! This file should either be invoked for all users in the system-wide
$! login procedure, or users should be told where it is or provided with
$! a symbol with which to invoke it.  The SAOIMAGE.HLP file should be
$! incorporated in either the system HELPLIB.HLB, or, preferably, in
$! a locally defined additional help library.
$!---------------------------------------------------------------------
$
$! Use correct disk and directory on next line
$ DEFINE SAODIR DISK$DISK_1:[MIIPS.X_WINDOW.SAOIMAGE]
$
$! Define size, set for "quiet" mode (see file [.DOC]CMDLINE.TXT for options)
$ SAOIMAGE :== $SAODIR:SAOIMAGE.EXE -G 886x886-2+134 -Q -one +coord +magnifier
$!
$! If you make a separate debug version
$! d_saoimage :== $saodir:d_saoimage.exe -g +500+100
$!
$! So that it will work: you may want to remove this and insist that
$! users define their own
$ DEFINE IMTOOLRC SAODIR:IMTOOLRC.
$
$! If you have a Unix-like line printer system on your VMS machine
$! r_dispose  :==  lpr -Plw1 -r "%s"
$!
$! If you have a VMS-based Postscript printer
$! r_dispose  :==  print/queue=postscript/delete "%s"
$ r_dispose  :==  print "%s"
$!
$! If you have no way to print postscript (you should probably disable this
$!  option by setting NOPSCRPT in the MAKE.COM file, but otherwise this string
$!  will at least return a message - but will NOT delete the LARGE file).
$ r_dispose :== -
 write sys$output """*** Postscript file "", ""<%s>"", "" cannot be printed ***"""
$
$! If you're on a workstation, this defaults to the local display;  to override
$! this you will need to issue a SET DISPLAY command of your own.
$ if f$logical("DECW$DISPLAY") .eqs. ""
$ then
$! Either set your "default" node here, or use the question
$	if p1 .eqs. "" then p1 = "GALAXY"
$!	if p1 .eqs. "" then inquire/nopunc p1 "Node for remote display? "
$	set display/create/node='p1'
$ endif
$ show display
$
$ exit
